/**
 * Main menu
 */
.main-menu {
	display: grid;
	width: 100%;
	height: 100%;
	padding: 0;
	margin: 0;
}

.sticky-menu {
	position: sticky;
	top: 0;	
}

@media screen and (max-width: 980px) {
	.main-menu {
		display: none;
	}
}

.main-menu .menu {
	display: grid;
	margin: 0;
	padding: 0;
	text-align: left;
	list-style: none;
}

.main-menu li {
	position: relative;
	margin: 0;
	padding: 0;
}

.main-menu li a {
	display: block;
	position: relative;
	margin: 0;
	cursor: pointer;
	font-family: var(--menu-font);
	font-size: var(--menu-font-size);
	font-weight: var(--menu-font-weight);
	text-transform: var(--menu-text-transform);
	letter-spacing: var(--menu-letter-spacing);
	color: var(--menu-color);
	transition: all var(--ease-base), outline 0s;
}

.main-menu li a span {
	position: relative;
	display: inline-block;
}

/* parent arrow */
.main-menu li.parent > a svg {
	display: inline-block;
}

/* first level */
.main-menu > .menu {
	display: grid;
	grid-auto-flow: column;
	justify-items: center;
	align-items: center;
	height: 100%;
	text-align: center;
	margin: 0 2vw;
}

.main-menu > .menu > li {
	height: 100%;
	display: inline-block;
	margin: 0;
	padding: 0;
	border-right: 0px solid var(--color-white-10);
}

.main-menu > .menu > li > a {
	display: grid;
	align-items: center;
	justify-content: center;
	grid-auto-flow: column;
	height: 100%;
	margin: 0 5px;
}

.main-menu > .menu > li > a:hover,
.main-menu > .menu > li > a:focus,
.main-menu > .menu > li.open > a,
.main-menu > .menu > li.parent:hover > a,
.main-menu > .menu > li.active > a {
	color: var(--menu-active-color);
}

.main-menu > .menu > li.parent > a svg {
	margin-left: 5px;
	width: 16px;
	vertical-align: middle;
	opacity: 0.5;
}

/* underline span - small */
.main-menu .menu > li > a span::before {
	content: "";
	position: absolute;
	bottom: -1px;
	left: 0;
	display: block;
	width: 0%;
	height: 1px;
	background-color: var(--color-link);
	opacity: 0.8;
	transition: width var(--ease-base);
}

.main-menu .menu > li > a:hover span::before,
.main-menu .menu > li >  a:focus span::before,
.main-menu .menu > li.parent:hover > a span::before,
.main-menu .menu > li.open > a span::before,
.main-menu .menu > li.active > a span::before {
	width: 100%;
}

/* underline big */
.main-menu > .menu > li > a::before {
	content: "";
	position: absolute;
	bottom: 0;
	left: 0;
	display: block;
	width: 100%;
	opacity: 1;
	height: 0;
	background-color: var(--color-link);
	transition: height var(--ease-base);
}

.main-menu > .menu > li > a:hover::before,
.main-menu > .menu > li >  a:focus::before,
.main-menu > .menu > li.parent:hover > a::before,
.main-menu > .menu > li.open > a::before,
.main-menu > .menu > li.active > a::before {
	height: 0;
}

/* submenu */
.main-menu .submenu {
	position: absolute;
	top: 100%;
	left: 0;
	display: grid;
	height: auto;
	margin: 0;
	padding: 25px 0;
	z-index: 110;
	opacity: 0;
	visibility: hidden;
	background-color: var(--color-white);
	border: 1px solid var(--color-black-04);
	box-shadow: 2px 5px 15px 0 rgba(0, 0, 0, 0.08);
	transition: all .14s ease-in;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

.main-menu .submenu .submenu {
	left: 100%;
	top: 0;
}

.main-menu .submenu li {
	display: block;
	width: 100%;
	padding: 0;
	margin: 0;
}

.main-menu .submenu li > a {
	display: block;
	min-width: 320px;
	padding: 15px 35px;
	margin-bottom: 1px;
	line-height: 1.4em;
	color: var(--color-gray);
}

.main-menu .submenu li > a span {
	display: inline-block;
}

.main-menu .submenu li > a:hover,
.main-menu .submenu li > a:focus,
.main-menu .submenu li.open > a,
.main-menu .submenu li.parent:hover > a,
.main-menu .submenu li.active > a {
	padding-left: 37px;
	color: var(--color-link);
}

/* underline decorator */
.main-menu .submenu li > a span::before {
	bottom: -2px;
	height: 1px;
	opacity: 0.7;
	background-color: var(--color-link);
}

.main-menu .submenu > li > a:hover span::before,
.main-menu .submenu > li >  a:focus span::before,
.main-menu .submenu > li.parent:hover > a span::before,
.main-menu .submenu > li.open > a span::before,
.main-menu .submenu > li.active > a span::before {
	width: 100%;
}

/* parent arrow */
.main-menu .submenu > li.parent > a svg {
	position: absolute;
	top: 50%;
	right: 24px;
	margin-top: -12px;
	width: 18px;
	transform: rotate(-90deg);
	opacity: 0.4;
	width: 14px;
}

/* open submenu - hover / click */
.main-menu[data-hover*="true"] .menu li:hover > .submenu,
.main-menu .menu li.open > .submenu {
	visibility: visible;
	opacity: 1;
}